FreeMat

- Main Page
- Related Pages

vtkSliceAndDiceLayoutStrategy

Section: Visualization Toolkit Infovis Classes

# Usage

Lays out a tree-map alternating between horizontal and vertical slices, taking into account the relative size of each vertex.

.SECTION Thanks Slice and dice algorithm comes from: Shneiderman, B. 1992. Tree visualization with tree-maps: 2-d space-filling approach. ACM Trans. Graph. 11, 1 (Jan. 1992), 92-99.

To create an instance of class vtkSliceAndDiceLayoutStrategy, simply invoke its constructor as follows

      obj = vtkSliceAndDiceLayoutStrategy

# Methods

The class vtkSliceAndDiceLayoutStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSliceAndDiceLayoutStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSliceAndDiceLayoutStrategy = obj.NewInstance ()`
- `vtkSliceAndDiceLayoutStrategy = obj.SafeDownCast (vtkObject o)`
- `obj.Layout (vtkTree inputTree, vtkDataArray coordsArray, vtkDataArray sizeArray)` - Perform the layout of a tree and place the results as 4-tuples in coordsArray (Xmin, Xmax, Ymin, Ymax).